IPSW-DEVICE-INFO(1)

NAME
ipsw-device-info - Lookup device info

SYNOPSIS
ipsw device-info [flags]

DESCRIPTION
Lookup device info

OPTIONS
-i, --bdid=""
    BDID to lookup info for

-b, --board=""
    Board to lookup info for

--cpid=""
    CPID to lookup info for

-c, --cpu=""
    CPID to lookup info for

-h, --help[=false]
    help for device-info

-j, --json[=false]
    Output as JSON

-m, --model=""
    Model to lookup info for (e.g., 'M1,1')

-n, --name=""
    Name of device to lookup info for (e.g., 'iPhone 14 Pro')

-p, --platform=""
    Platform to lookup info for

-d, --prod=""
    Device to lookup info for (e.g., 'iPhone15,2')

OPTIONS INHERITED FROM PARENT COMMANDS
--color[=false]
    colorize output

--config=""
    config file (default is $HOME/.config/ipsw/config.yaml)

--no-color[=false]
    disable colorize output

-V, --verbose[=false]
    verbose output

SEE ALSO
ipsw(1)

HISTORY
21-Mar-2026 Auto generated by spf13/cobra